---
next: ./app-details-page
prev: ./adb-over-tcp
sidebarDepth: 2
---

# Главная страница

На главной странице перечислены все установленные приложения (или список приложений, предоставленных любым сторонним приложением), а также приложения, для которых есть резервные копии. Одиночное нажатие по любому элементу установленного приложения открывает соответствующую страницу [«Сведения о приложении][4]. Используя опцию [сортировки](#сортировка) из меню, элементы приложения можно сортировать различными способами и сохранять при закрытии. Также можно фильтровать элементы в соответствии с вашими предпочтениями, используя опцию [фильтрации](#фильтр) в меню. Вы можете фильтровать, используя более одну опцию. Вы также можете фильтровать приложения по ярлыкам приложений или имени пакета с помощью кнопки поиска.

::: details Таблица содержания
[[toc]]
:::

## Пакетные операции
На этой странице также доступны пакетные операции или операции с несколькими приложениями (для большинства этих операций требуются root-права или [ADB через TCP][1]). Чтобы включить режим множественного выбора, нажмите на значок любого приложения или коснитесь и удерживайте название любого приложения. После этого вы можете использовать обычное нажатие для выбора приложений вместо открытия страницы [«Сведения о приложении»][4]. Эти операции включают в себя:
- Резервное копирование файлов APK (без root)
- Резервное копирование/восстановление/удаление данных приложений (APK, dex, данные приложения и т. д.)
- Очистка данных приложений
- Отключение/удаление/закрытие приложений
- Отключение запуска в фоновом режиме, рекламы и трекеров
- Экспорт правил блокировки

## Цветовые коды
Вот список цветов, используемых на этой странице, и их значения:
- <code style="background-color: #FCEED1; color: #000">Светло-серовато-оранжевый (светлая тема)</code> или <code style="background-color: #091F36; color: #FFF">темно-синий (темная тема)</code> - приложение выбрано для пакетной операции
- <code style="background-color: #FF8A80; color: #000">Светло-красный (светлая тема)</code> или <code style="background-color: #4F1C14; color: #FFF">очень темно-красный (темная тема)</code> - отключенное приложение
- <code style="background-color: yellow; color: #000">Желтая звезда</code> - приложение находится в режиме отладки
- <code style="color: #E05915">Оранжевая дата</code> - приложение может читать логи (разрешение предоставлено)
- <code style="color: #E05915FF">Оранжевый UID</code> - идентификатор пользователя используется приложениями совместно
- <code style="color: #E05915FF">Oранжевый SDK/размер</code> - использует слабый протокол (например, HTTP)
- <code style="color: red">Красный</code> - приложение не позволяет очищать данные
- <code style="color: #09868BFF">Темно-голубое имя пакета</code> - приложение остановлено или принудительно закрыто
- <code style="color: #09868BFF">Темно-голубая версия</code> - неактивное приложение
- <code style="color: magenta">Пурпурный</code> - постоянное приложение, т. е работает все время

## Типы приложений
Приложение бывают либо **пользовательскими**, либо **системными** вместе со следующими кодами:
- `X` - приложение поддерживает несколько архитектур: 32-битную, 64-битную или arm-v7, arm-v8 и т. д.
- `0` - в приложении нет кода
- `°` - приложение находится в приостановленном состоянии
- `#` - приложение запросило большую кучу
- `?` - приложение запросило запуск виртуальной машины в безопасном режиме

## Информация о версии
После названия версии следуют следующие префиксы:
- `_` – нет аппаратного ускорения
- `~` – только тестовый режим
- `debug` – отлаживаемое приложение

## Меню опций
В меню опций есть несколько опций, которые можно использовать для сортировки, фильтрации перечисленных приложений, а также для перехода к различным страницам.

### Сортировка
Приложения, перечисленные на главной странице, можно отсортировать несколькими способами. Настройки сортировки сохраняются, что означает, что приложения будут отсортированы так же, как при предыдущем запуске. Однако независимо от ваших предпочтений сортировки приложения сначала сортируются в алфавитном порядке, чтобы предотвратить случайные результаты.
- _Сначала пользовательские_ – пользовательские приложения будут отображаться первыми
- _Ярлык приложения_ – сортировка в возрастающем порядке на основе ярлыка приложения (также именуемое как название приложения) Это значение сортировки по умолчанию
- _Имя пакета_ – сортировка по возрастанию по именам пакетов
- _Последнее обновление_ – сортировка в порядке убывания по дате обновления пакета (или дате установки, если это недавно установленный пакет)
- _Общий идентификатор пользователя_ – сортировка в порядке убывания на основе идентификатора пользователя ядра
- _Размер приложения/SDK_ – сортировка в порядке возрастания на основе SDK приложения (сортировка по размеру приложения в настоящее время недоступна)
- _Подпись_ – сортировка в порядке возрастания на основе информации о подписи приложения
- _Сначала отключенные_ – отключенные приложения будут отображаться первыми
- _Сначала заблокированные_ – сортировка по убыванию по количеству заблокированных компонентов

### Фильтр
Приложения, перечисленные на главной странице, можно отфильтровать несколькими способами. Как и в случае с сортировкой, настройки фильтрации также сохраняются после после перезапуска.
- _Пользовательские приложения_ – отображение только пользовательских приложений
- _Системные приложения_ – отображение только системных приложений
- _Отключенные приложения_ – отображение только отключенных приложений
- _Приложения с правилами_ – отображение только приложений с правилами блокировки

В отличие от сортировки, вы можете фильтровать приложения, используя более одного параметра. Например, вы можете просмотреть все отключенные пользовательские приложения, фильтруя списки приложений, используя кнопки показа _пользовательских приложения_ и _отключенных приложений_. Это также полезно для пакетных операций, где вы можете фильтровать все пользовательские приложения для выполнения определенной операции.

### Операции в один клик
**Операции в один клик**, они же **«1-Click Ops»**. Вы можете напрямую открыть соответствующую страницу, нажав на эту опцию.

_Смотрите также: [страница «Операции в один клик»][5]_

### Использование приложений
Статистика использования приложения, такой как _время экрана_, _использование трафика_ (мобильный и Wi-Fi), _количество запусков_ можно получить, нажав на опцию **«Использование приложений»** в меню (требует наличия разрешения _«Доступ к статистике использования»_).

### Работающие приложения
Список работающих приложений или процессов можно просмотреть, нажав на опцию **«Работающие приложения»** в меню (требует root или [ADB][1]). Запущенные приложения или процессы также могут быть принудительно закрыты на странице результатов.

### APK Updater
Если у вас установлено приложение [APK Updater][3], вы можете использовать соответствующую опцию в меню, чтобы напрямую открыть приложение. Параметр скрыт, если у вас не установлено это приложение.

### Termux
Если у вас установлено приложение [Termux][2], вы можете напрямую перейти к текущему сеансу или открыть новый, используя опцию **«Termux»** в меню.

### Настройки
Вы можете перейти в [настройки приложения][settings] нажатием на соответствующую опцию в правом верхнем углу.

[1]: ./adb-over-tcp.md
[2]: https://github.com/termux/termux-app
[3]: https://github.com/rumboalla/apkupdater
[4]: ./app-details-page.md
[5]: ./one-click-ops-page.md
[settings]: ./settings-page.md
